Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Samuli Suominen (drac)" <drac@g.o>
Subject: gentoo-x86 commit in media-libs/wxsvg: wxsvg-1.0_beta7.ebuild ChangeLog
Date: Mon, 19 May 2008 07:04:36 +0000
drac        08/05/19 07:04:36

  Modified:             wxsvg-1.0_beta7.ebuild ChangeLog
  Log:
  Move pkgconfig to DEPEND.
  (Portage version: 2.1.5)

Revision  Changes    Path
1.7                  media-libs/wxsvg/wxsvg-1.0_beta7.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/wxsvg/wxsvg-1.0_beta7.ebuild?rev=1.7&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/wxsvg/wxsvg-1.0_beta7.ebuild?rev=1.7&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/wxsvg/wxsvg-1.0_beta7.ebuild?r1=1.6&r2=1.7

Index: wxsvg-1.0_beta7.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/wxsvg/wxsvg-1.0_beta7.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- wxsvg-1.0_beta7.ebuild	17 Jun 2007 11:22:45 -0000	1.6
+++ wxsvg-1.0_beta7.ebuild	19 May 2008 07:04:35 -0000	1.7
@@ -1,10 +1,10 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/wxsvg/wxsvg-1.0_beta7.ebuild,v 1.6 2007/06/17 11:22:45 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/wxsvg/wxsvg-1.0_beta7.ebuild,v 1.7 2008/05/19 07:04:35 drac Exp $
 
 inherit eutils wxwidgets
 
-MY_PV="${PV/_beta/b}"
+MY_PV=${PV/_beta/b}
 
 DESCRIPTION="C++ library to create, manipulate and render SVG files."
 HOMEPAGE="http://wxsvg.sourceforge.net/"
@@ -15,13 +15,14 @@
 SLOT="0"
 IUSE=""
 
-DEPEND="=x11-libs/wxGTK-2.6*
+RDEPEND="=x11-libs/wxGTK-2.6*
 	>=dev-libs/glib-2.12
 	>=dev-libs/libxml2-2.6.26
 	>=media-libs/fontconfig-2.4
 	>=media-libs/freetype-2.2.0
 	>=media-libs/libart_lgpl-2.3.17
-	>=x11-libs/pango-1.14.9
+	>=x11-libs/pango-1.14.9"
+DEPEND="${RDEPEND}
 	dev-util/pkgconfig"
 
 S=${WORKDIR}/${PN}-${MY_PV}
@@ -29,7 +30,6 @@
 src_unpack() {
 	unpack ${A}
 	cd "${S}"
-
 	epatch "${FILESDIR}"/${P}-freetype.patch
 }
 
@@ -43,6 +43,6 @@
 }
 
 src_install() {
-	emake DESTDIR=${D} install || die "emake install failed"
+	emake DESTDIR="${D}" install || die "emake install failed"
 	dodoc AUTHORS ChangeLog TODO
 }



1.8                  media-libs/wxsvg/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/wxsvg/ChangeLog?rev=1.8&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/wxsvg/ChangeLog?rev=1.8&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/wxsvg/ChangeLog?r1=1.7&r2=1.8

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/wxsvg/ChangeLog,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- ChangeLog	28 Jan 2008 16:15:28 -0000	1.7
+++ ChangeLog	19 May 2008 07:04:35 -0000	1.8
@@ -1,6 +1,9 @@
 # ChangeLog for media-libs/wxsvg
 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/wxsvg/ChangeLog,v 1.7 2008/01/28 16:15:28 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/wxsvg/ChangeLog,v 1.8 2008/05/19 07:04:35 drac Exp $
+
+  19 May 2008; Samuli Suominen <drac@g.o> wxsvg-1.0_beta7.ebuild:
+  Move pkgconfig to DEPEND.
 
   28 Jan 2008; Raúl Porcel <armin76@g.o> metadata.xml:
   Replace wxwindows with wxwidgets in metadata



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in x11-base/xorg-server/files/1.4.0.90: 0046-dmx-fix-build-by-adding-New-Delete-InputDeviceRequ.patch 0048-xephyr-fix-linking-by-adding-pixman-and-using-XSERV.patch 0054-Bump-DEFAULT_DPI-to-96.patch 0055-Bug-13962-Re-arm-the-DPMS-timer-when-re-enabling-D.patch 0052-Fix-overly-restrictive-integer-overflow-check-in-EXA.patch 0049-xprint-fix-build-by-adding-New-Delete-InputDeviceR.patch 0050-xprint-fix-linking-by-including-XSERVER_LIBS.patch 0058-xf86-Add-AutoConfig-driver-for-PCI-ID-1022-2081-to.patch 0059-xkb-when-copying-the-keymap-make-sure-the-structs.patch 0051-Fix-RandR-1.2-driver-interface-conversion-of-two-col.patch 0056-Prevent-the-wm-command-line-option-from-causing-a-S.patch 0044-kdrive-allow-disabling-Composite.patch 0047-dmx-link-in-XSERVER_LIBS.patch 0045-When-XKB-fails-to-open-rules-file-log-the-file-name.patch 0053-Fix-hal-shutdown-crash.patch 0057-EXA-Skip-empty-glyphs.-cherry-picked-from-commit-c.patch 0038-dmx-fix-b uild-by-adding-Ne w-Delete-InputDeviceRequ.patch 0039-dmx-link-in-XSERVER_LIBS.patch 0041-xprint-fix-build-by-adding-New-Delete-InputDeviceR.patch 0043-Fix-RandR-1.2-driver-interface-conversion-of-two-col.patch 0042-xprint-fix-linking-by-including-XSERVER_LIBS.patch 0040-xephyr-fix-linking-by-adding-pixman-and-using-XSERV.patch 0044-Fix-overly-restrictive-integer-overflow-check-in-EXA.patch
Next by thread:
gentoo-x86 commit in dev-libs/ossp-uuid: ChangeLog ossp-uuid-1.6.1.ebuild
Previous by date:
gentoo commit in xml/htdocs/doc/pl/handbook/2008.0: hb-install-hppa-medium.xml
Next by date:
gentoo-x86 commit in dev-libs/ossp-uuid: ChangeLog ossp-uuid-1.6.1.ebuild


Updated Sep 07, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.